%===============================================================================
% Mengevaluasi individu sehingga didapatkan nilai fitness-nya 
%
% Masukan 
%   x : individu
%   
% Keluaran 
%   fitness : nilai fitness
%
% Tanggal update 28 Desember 2004
% Suyanto - Teknik Informatika - Sekolah Tinggi Teknologi Telkom 
% Jl Telekomunikasi No 1 Dayeuh Kolot - Bandung 40257
%===============================================================================

function fitness = EvaluateIndividual(x);

n = length(x);
alpha = 0.05;
beta = 25;

SumXi2 = 0;
for ii=1:n,
   SumXi2 = SumXi2 + x(ii)^2;
end

SumCos = 0;
for ii=1:n,
   SumjXj = 0;
   for jj=1:ii,
      SumjXj = SumjXj + jj*x(jj);
   end
   SumCos = SumCos +  cos(beta * x(ii) * sqrt(ii) * SumjXj);
end

fitness = 0.5 + (1/(2*n)) * exp(-alpha*SumXi2) * SumCos;