%===============================================================================
% Mengevaluasi kromosom sehingga didapatkan nilai fitness-nya 
%
% Masukan 
%   Kromosom : kromosom, matriks berukuran 1 x JumGen
%   JumGen : jumlah gen
%   XYkota : posisi-posisi koordinat kota, matriks berukuran UkPop x 2
%   
% Keluaran 
%   fitness : nilai fitness
%
% Tanggal update 09 Januari 2005
% Suyanto - Teknik Informatika - Sekolah Tinggi Teknologi Telkom 
% Jl Telekomunikasi No 1 Dayeuh Kolot - Bandung 40257
%===============================================================================

function fitness = TSPEvaluasiIndividu(Kromosom,JumGen,XYkota)

TB = 0;
for ii=1:JumGen-1,
    TB = TB + norm(XYkota(Kromosom(ii),:) - XYkota(Kromosom(ii+1),:));
end

% Jalur harus kembali ke kota asal
TB = TB + norm(XYkota(Kromosom(JumGen),:) - XYkota(Kromosom(1),:));

fitness = 1 / TB;