%===============================================================================
% Membangkitkan sejumlah UkPop kromosom, masing-masing kromosom berisi bilangan 
% 1 sampai JumGen (jumlah kota)
%
% Masukan 
%   UkPop : ukuran populasi atau jumlah kromosom dalam populasi
%   JumGen: jumlah gen dalam kromosom (jumlah kota)
%   
% Keluaran 
%   Populasi : kumpulan kromosom, matriks berukuran UkPop x JumGen
%
% Tanggal update 09 Januari 2005
% Suyanto - Teknik Informatika - Sekolah Tinggi Teknologi Telkom 
% Jl Telekomunikasi No 1 Dayeuh Kolot - Bandung 40257
%===============================================================================

function Populasi = TSPInisialisasiPopulasi(UkPop,JumGen)

for ii=1:UkPop,
    [Xval,Ind] = sort(rand(1,JumGen));
    Populasi(ii,:) = Ind;
end