%===============================================================================
% Skema mutasi menggunakan Swapping Mutation
%
% Masukan 
%   Kromosom : kromosom, matriks berukuran 1 x JumGen
%   JumGen : jumlah gen
%   Pmutasi : Probabilitas mutasi
%   
% Keluaran 
%   MutKrom : kromosom hasil mutasi, matriks berukuran 1 x JumGen
%
% Tanggal update 09 Januari 2005
% Suyanto - Teknik Informatika - Sekolah Tinggi Teknologi Telkom 
% Jl Telekomunikasi No 1 Dayeuh Kolot - Bandung 40257
%===============================================================================

function MutKrom = TSPMutasi(Kromosom,JumGen,Pmutasi)

MutKrom = Kromosom;

for ii=1:JumGen,
    if rand < Pmutasi,
       TM2 = 1 + fix(rand*JumGen); 
       while TM2==ii,
          TM2 = 1 + fix(rand*JumGen);
       end
       temp = MutKrom(ii);
       MutKrom(ii) = MutKrom(TM2);
       MutKrom(TM2) = temp;
   end
end