%===============================================================================
% Membangkitkan kromosom sejumlah UkPop 
% Kromosom berisi identitas dan nilai gen
% - indeks ganjil sebagai identitas, berisi bilangan integer 1 sampai JGMsatu
% - indeks genap sebagai nilai gen yang berupa bilangan biner
%
% Masukan 
%   UkPop : ukuran populasi atau jumlah kromosom dalam populasi
%   JGMsatu : Jumlah gen dalam satu messy
%   Pmessy : panjang messy yang diinginkan
%   
% Keluaran 
%   Populasi : kumpulan kromosom, matriks berukuran UkPop x JGMsatu
%
% Tanggal update 09 Januari 2005
% Suyanto - Teknik Informatika - Sekolah Tinggi Teknologi Telkom 
% Jl Telekomunikasi No 1 Dayeuh Kolot - Bandung 40257
%===============================================================================

function Populasi = MessyInisialisasiPopulasi(UkPop,JGMsatu,Pmessy)

for IndPop=1:UkPop,
    BanyakMessy = [];
    for ii=1:Pmessy,
        [Xval,Sind] = sort(rand(1,JGMsatu));
        SatuMessy(1:2:JGMsatu*2) = Sind;
        SatuMessy(2:2:JGMsatu*2) = fix(2*rand(1,JGMsatu));
        BanyakMessy = [BanyakMessy SatuMessy];
    end
    Populasi(IndPop,:) = BanyakMessy;
end