%===============================================================================
% Memindah-silangkan bagian kromosom Bapak dan Ibu yang dipotong secara random, 
% sehingga dihasilkan dua buah kromosom baru yang disebut Anak
%
% Masukan 
%   Bapak : kromosom, matriks berukuran 1 x JGMsatu
%   Ibu : kromosom, matriks berukuran 1 x JGMsatu
%   JGMsatu : jumlah gen dalam satu messy
%   
% Keluaran 
%   Anak : kromosom hasil pindah silang, matriks berukuran 1 x JGMsatu
%
% Tanggal update 09 Januari 2005
% Suyanto - Teknik Informatika - Sekolah Tinggi Teknologi Telkom 
% Jl Telekomunikasi No 1 Dayeuh Kolot - Bandung 40257
%===============================================================================

function Anak = MessyPindahSilang(Bapak,Ibu,JGMsatu,PanjKrom)

TP = 1 + fix(rand*(JGMsatu-1));

Anak(1,:) = [Bapak(1:TP*2) Ibu(TP*2+1:PanjKrom)];
Anak(2,:) = [Ibu(1:TP*2) Bapak(TP*2+1:PanjKrom)];