%===============================================================================
% Grid-based Replacement
% Mengganti kromosom orang tua dengan kromosom anak
%
% Masukan 
%   TemPop : Populasi
%   Fitness : Nilai fitness
%   IP1  : Indeks orang tua 1
%   IP2  : Indeks orang tua 2
%   Anak1 : kromosom anak 1
%   Anak2 : kromosom anak 2
%   FA1 : nilai fitness kromosom anak 1
%   FA2 : nilai fitness kromosom anak 2
%   
% Keluaran 
%   PopBaru : Populasi baru
%
% Tanggal update 09 Januari 2005
% Suyanto - Teknik Informatika - Sekolah Tinggi Teknologi Telkom 
% Jl Telekomunikasi No 1 Dayeuh Kolot - Bandung 40257
%===============================================================================

function PopBaru = GBReplacement(TemPop,Fitness,IP1,IP2,Anak1,Anak2,FA1,FA2)

Fbapak = Fitness(IP1);
Fibu = Fitness(IP2);

if Fbapak > Fibu,
    if FA1 > FA2,
        if FA2 > Fibu,
            TemPop(IP2,:) = Anak2;
            if FA1 > Fbapak,
                TemPop(IP1,:) = Anak1;
            end
        else
            if FA1 > Fibu,
                TemPop(IP2,:) = Anak1;
            end
        end
    else
        if FA1 > Fibu,
            TemPop(IP2,:) = Anak1;
            if FA2 > Fbapak,
                TemPop(IP1,:) = Anak2;
            end
        else
            if FA2 > Fibu,
                TemPop(IP2,:) = Anak2;
            end
        end
    end
else
    if FA1 > FA2,
        if FA2 > Fbapak,
            TemPop(IP1,:) = Anak2;
            if FA1 > Fibu,
                TemPop(IP2,:) = Anak1;
            end
        else
            if FA1 > Fbapak,
                TemPop(IP1,:) = Anak1;
            end
        end
    else
        if FA1 > Fbapak,
            TemPop(IP1,:) = Anak1;
            if FA2 > Fibu,
                TemPop(IP2,:) = Anak2;
            end
        else
            if FA2 > Fbapak,
                TemPop(IP1,:) = Anak2;
            end
        end
    end
end
        
PopBaru = TemPop;