%===============================================================================
% Mutasi gen dengan probabilitas sebesar Pmutasi
% Gen ganjil yang berisi identitas diubah dengan nilai random [1,JGMsatu]
% Gen genap yang berisi biner diubah nilainya: 0 menjadi 1, dan 1 menjadi 0 
%
% Masukan 
%   Kromosom : kromosom, matriks berukuran 1 x JGMbanyak
%   JGMsatu : jumlah gen dalam satu messy
%   Pmutasi : Probabilitas mutasi
%   
% Keluaran 
%   MutKrom : kromosom hasil mutasi, matriks berukuran 1 x JGMbanyak
%
% Tanggal update 09 Januari 2005
% Suyanto - Teknik Informatika - Sekolah Tinggi Teknologi Telkom 
% Jl Telekomunikasi No 1 Dayeuh Kolot - Bandung 40257
%===============================================================================

function MutKrom = MessyMutasi(Kromosom,JGMsatu,Pmutasi);

MutKrom = Kromosom;

for ii=1:JGMsatu,
    if rand < Pmutasi,
        MutKrom((ii-1)*2+1) = 1 + fix(rand*JGMsatu);
        if Kromosom(ii*2) == 0,
            MutKrom(ii*2) = 1;
        else
            MutKrom(ii*2) = 0;
        end
    end
end