%===================================================================================
% Mengevaluasi sebuah individu (struktur NN) sehingga diperoleh nilai fitnessnya
% 
% Masukan
%   NNstruk : struktur NN, matriks 8x8
%   NNtarget : struktur NN yang menjadi target, matriks 8x8
%   BilKecil : Bilangan kecil untuk menghindari pembagian dengan 0
%
% Keluaran
%    Fitness : nilai fitness
%
% Tanggal update 11 Januari 2005
% Suyanto - Teknik Informatika - Sekolah Tinggi Teknologi Telkom 
% Jl Telekomunikasi No 1 Dayeuh Kolot - Bandung 40257
%===================================================================================

function Fitness = GEEvaluasiIndividu(NNstruk,NNtarget,BilKecil);

Nerror = sum(sum(abs(NNstruk-NNtarget)));

Fitness = 1 / (Nerror+BilKecil);